Endpoint
GET https://embedworkflow.com/api/v1/workflows/{workflow_id}/executions
Path Parameters
workflow_id string, required
Filter results by workflow id
Query Parameters
starting_after string, optional
Cursor for pagination - return results after this ID
ending_before string, optional
Cursor for pagination - return results before this ID
limit integer, optional
Number of items to return (max 100)
Response
Returns successful.
Response Properties
collection array
meta object
Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28{ "collection": [ { "hashid": "79a6x", "actions_count": 1, "completed_actions_count": 0, "created_at": "2026-03-25T18:14:06-04:00", "created_at_string": "Mar 25, 2026 06:14 pm EDT", "created_at_utc": "2026-03-25T22:14:06Z", "execution_data": null, "failed_actions_count": 0, "id": "019d270f-e591-7c53-a99e-98b2d5709ae6", "idle_actions_count": 0, "key": "workflow_22", "log": {}, "name": "Workflow 22", "object": "execution", "running_actions_count": 0, "status": "running", "stopped_actions_count": 0 } ], "meta": { "page_limit": 25, "has_next_page": false, "has_previous_page": false } }
